diff -pruN 3.5.0+dfsg-2/debian/changelog 3.5.0+dfsg-4/debian/changelog
--- 3.5.0+dfsg-2/debian/changelog	2021-02-22 13:40:19.000000000 +0000
+++ 3.5.0+dfsg-4/debian/changelog	2021-03-09 13:07:47.000000000 +0000
@@ -1,3 +1,15 @@
+cpl-plugin-xshoo (3.5.0+dfsg-4) unstable; urgency=medium
+
+  * Use sha1sum to check the checksum (Closes: #984860)
+
+ -- Ole Streicher <olebole@debian.org>  Tue, 09 Mar 2021 14:07:47 +0100
+
+cpl-plugin-xshoo (3.5.0+dfsg-3) unstable; urgency=medium
+
+  * Check SHA sum for downloaded calibration file (Closes: #984508)
+
+ -- Ole Streicher <olebole@debian.org>  Sat, 06 Mar 2021 17:49:45 +0100
+
 cpl-plugin-xshoo (3.5.0+dfsg-2) unstable; urgency=medium
 
   [ Helmut Grohne ]
diff -pruN 3.5.0+dfsg-2/debian/cpl-plugin-calib.postinst.in 3.5.0+dfsg-4/debian/cpl-plugin-calib.postinst.in
--- 3.5.0+dfsg-2/debian/cpl-plugin-calib.postinst.in	2016-11-20 09:32:19.000000000 +0000
+++ 3.5.0+dfsg-4/debian/cpl-plugin-calib.postinst.in	2021-03-09 12:38:31.000000000 +0000
@@ -4,6 +4,7 @@
 
 PIPELINE=__PIPELINE__
 VERSION=__VERSION__
+SHASUM=__SHASUM__
 
 CALIB=${PIPELINE}-calib-${VERSION}
 COMPONENTS="${CALIB}/cal"
@@ -20,14 +21,18 @@ if [ "$1" = "configure" ] ; then
 	URL=ftp://ftp.eso.org/pub/dfs/pipelines/xshooter/${KIT}.tar.gz
 	TAR=${KIT}/${CALIB}.tar.gz
 
-	wget -O- ${URL} | \
-	    tar xzO ${TAR} | \
-	    tar xzC ${TARGETDIR} ${COMPONENTS} --strip-components=1
-
-	if [ $? = 0 ] ; then
+	wget -O- ${URL} | tar xzC ${TARGETDIR} ${TAR}
+	if [ ! $? = 0 ] ; then
+	    rm -rf ${TARGETDIR}/${KIT}
+	    continue
+	fi
+	if echo "${SHASUM} *${TARGETDIR}/${TAR}" | sha1sum -c --quiet - ; then
+	    tar xzf ${TARGETDIR}/${TAR} -C ${TARGETDIR} ${COMPONENTS} --strip-components=1
+	    rm -rf ${TARGETDIR}/${KIT}
 	    downloaded=1
 	    break
 	fi
+	rm -rf ${TARGETDIR}/${KIT}
     done
 fi
 
diff -pruN 3.5.0+dfsg-2/debian/patches/Add-shasum-file.patch 3.5.0+dfsg-4/debian/patches/Add-shasum-file.patch
--- 3.5.0+dfsg-2/debian/patches/Add-shasum-file.patch	1970-01-01 00:00:00.000000000 +0000
+++ 3.5.0+dfsg-4/debian/patches/Add-shasum-file.patch	2021-03-06 16:49:02.000000000 +0000
@@ -0,0 +1,17 @@
+From: Ole Streicher <olebole@debian.org>
+Date: Sat, 6 Mar 2021 15:16:16 +0100
+Subject: Add shasum file
+
+This is temporary, to avoid a new upstream (dfsg) version
+---
+ calib/cal_shasum | 1 +
+ 1 file changed, 1 insertion(+)
+ create mode 100644 calib/cal_shasum
+
+diff --git a/calib/cal_shasum b/calib/cal_shasum
+new file mode 100644
+index 0000000..f66707b
+--- /dev/null
++++ b/calib/cal_shasum
+@@ -0,0 +1,1 @@
++22b97f9e32d51eda6643d7b3ae12cce0ab5dbb7f
diff -pruN 3.5.0+dfsg-2/debian/patches/series 3.5.0+dfsg-4/debian/patches/series
--- 3.5.0+dfsg-2/debian/patches/series	2020-09-19 13:48:46.000000000 +0000
+++ 3.5.0+dfsg-4/debian/patches/series	2021-03-06 16:47:15.000000000 +0000
@@ -4,3 +4,4 @@ Add-missing-lcpldrs-to-xsh_cfg_recover-r
 Temporarily-disable-XSH_SDP_KEYWORD_APERTURE-test.patch
 Fix-parallel-build.patch
 Increase-tolerance-in-hdrl_fpn_tests.patch
+Add-shasum-file.patch
diff -pruN 3.5.0+dfsg-2/debian/repackage.sh 3.5.0+dfsg-4/debian/repackage.sh
--- 3.5.0+dfsg-2/debian/repackage.sh	2016-11-20 09:32:19.000000000 +0000
+++ 3.5.0+dfsg-4/debian/repackage.sh	2021-03-09 12:37:09.000000000 +0000
@@ -50,6 +50,9 @@ tar xf ${BASEDIR}/${PIPELINE}-kit-${UVER
 mv ${BASEDIR}/${PIPELINE}-${VERSION}/${PIPELINE}-calib-${VERSION}/ \
    ${BASEDIR}/${PIPELINE}-${VERSION}/calib/
 if [ $INCLUDE_CALIB = "no" ] ; then
+  sha1sum -b ${BASEDIR}/${PIPELINE}-kit-${UVERSION}/${PIPELINE}-calib-${VERSION}.tar.gz\
+      | cut -d\  -f1 \
+      > ${BASEDIR}/${PIPELINE}-${VERSION}/calib/cal_shasum
   du -s ${BASEDIR}/${PIPELINE}-${VERSION}/calib/cal | cut -f1 \
       > ${BASEDIR}/${PIPELINE}-${VERSION}/calib/cal_size
   rm -rf ${BASEDIR}/${PIPELINE}-${VERSION}/calib/cal
diff -pruN 3.5.0+dfsg-2/debian/rules 3.5.0+dfsg-4/debian/rules
--- 3.5.0+dfsg-2/debian/rules	2021-02-22 13:40:08.000000000 +0000
+++ 3.5.0+dfsg-4/debian/rules	2021-03-06 16:47:15.000000000 +0000
@@ -6,6 +6,7 @@ include  /usr/share/dpkg/pkg-info.mk
 
 VERSION ?= $(shell echo '$(DEB_VERSION)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/+.*//')
 PIPELINE ?= $(shell echo '$(DEB_SOURCE)' | sed -e 's/cpl-plugin-//')
+SHASUM ?= $(shell cat calib/cal_shasum)
 
 get-orig-source:
 	sh ./debian/repackage.sh
@@ -21,7 +22,7 @@ debian_files:
 	    dfiles=".install -doc.manpages -doc.docs -doc.doc-base -calib.postinst -calib.prerm -calib.lintian-overrides" ; \
 	fi ; \
 	for f in $$dfiles ; do \
-	    sed "s/__VERSION__/$(VERSION)/g;s/__PIPELINE__/${PIPELINE}/g" \
+	    sed "s/__VERSION__/$(VERSION)/g;s/__PIPELINE__/${PIPELINE}/g;s/__SHASUM__/${SHASUM}/g" \
 	        < debian/cpl-plugin$$f.in \
                 > debian/${DEB_SOURCE}$$f ; \
 	done
